package co.yixiang.yshop.module.product.enums.campaign;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author moxiangrong
 * 营销活动状态枚举
 */
@Getter
@AllArgsConstructor
public enum CampaignStateEnum {
    NOT_STARTED(0, "未开始"),
    IN_PROGRESS(1, "进行中"),
    ENDED(2, "已结束"),
    PREHEAT(3, "预热");

    private Integer value;
    private String desc;
}
